apiVersion: apps/v1
kind: Deployment
metadata:
  name: gfi-mail-export-deployment
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    matchLabels:
      app: gfi-mail-export-container
  template:
    metadata:
      labels:
        app: gfi-mail-export-container
      annotations:
        checksum/config1: {{ include (print $.Template.BasePath "/configmap.yaml") . | sha256sum }}
    spec:
      containers:
        - image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          name: gfi-mail-export-container
          env:
            - name: GFI_MANUAL_ENDPOINTS_USERNAME
              value: admin
            - name: GFI_MANUAL_ENDPOINTS_PASSWORD
              value: admin
            - name: SPRING_CONFIG_LOCATION
              value: 'file:/config/'
            - name: RABBITMQ_USERNAME
              valueFrom:
                secretKeyRef:
                  key: RABBITMQ_USERNAME
                  name: rabbitmq-secrets
            - name: RABBITMQ_PASSWORD
              valueFrom:
                secretKeyRef:
                  key: RABBITMQ_PASSWORD
                  name: rabbitmq-secrets
          ports:
            - containerPort: 9205
          volumeMounts:
            - name: config-volume
              mountPath: /config/
              readOnly: true
      volumes:
        - name: config-volume
          configMap:
            name: gfi-mail-export-config
            items:
            - key: application.yml
              path: application.yml
---
apiVersion: v1
kind: Service
metadata:
  name: gfi-mail-export-service
  namespace: {{ .Release.Namespace }}
spec:
  selector:
    app: gfi-mail-export-container
  ports:
    - protocol: TCP
      port: 9205
      targetPort: 9205